﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.GridView;

namespace WpfApplication16
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.radGridView.ItemsSource = MessageViewModel.Generate();
            this.radGridView2.ItemsSource = MessageViewModel.Generate();
        }
    }

    public class MessageViewModel
    {
        public static IList Generate()
        {
            IList data = new ObservableCollection<MessageViewModel>();
            data.Add(new MessageViewModel("Cats are cool", 100));
            data.Add(new MessageViewModel("Mice are cool", 200));
            data.Add(new MessageViewModel("Dogs are cool", 300));
            data.Add(new MessageViewModel("2Mice are cool", 400));
            data.Add(new MessageViewModel("2Dogs are cool", 500));
            data.Add(new MessageViewModel("3Mice are cool", 600));
            data.Add(new MessageViewModel("3Dogs are cool", 700));
            return data;
        }
        public MessageViewModel(string subject, int size)
        {
            this.Subject = subject;
            this.Size = size;
        }
        public string Subject
        {
            get;
            set;
        }

        public int Size
        {
            get;
            set;
        }
    }
}
